main.main {
    background-image: url("../images/fondo-panel.jpg");
    background-position: center;
    background-size: cover;
    padding: 4rem 0;
}

main.main .main__container {
    max-width: 1200px;
    margin: auto;
    padding: 0 20px;
}

main.main .main__container #progressBar {
    background-color: #ececec;
    display: none;
    width: 100%;
    height: 20px;
    margin-top: 15px;
    border-radius: 50px;
}

main.main .main__container #progressBar .progress {
    background-color: #8a9f16;
    width: 100px;
    height: 20px;
    border-radius: 35px;
    transition: width 0.2s ease;
}

main.main .main__container form.frmo button {
    background-color: #25577b;
    padding: 0.8rem 2rem;
    color: #fff;
    display: block;
    width: 100%;
    border: 0;
    font-weight: bold;
    outline: none;
    border-radius: 35px;
    transition: background 0.2s ease;
}

main.main .main__container form.frmo button:hover {
    background-color: #2b648e;
}

/* :SWEET ALERT */

.swal2-container .swal2-actions button {
    background-color: #25577b;
    padding: 0.8rem 2rem;
    color: #fff;
    border: 0;
    outline: none;
    border-radius: 35px;
    box-shadow: 0 0 0 0 !important;
    transition: background 0.2s ease;
}

.swal2-container .swal2-actions button:hover {
    background-color: #2b648e;
}

.swal2-container .swal2-actions button.swal2-deny {
    background-color: #c84040;
}

.swal2-container .swal2-actions button.swal2-deny:hover {
    background-color: #da5757;
}

.swal2-container .swal2-actions button.swal2-confirm {
    background-color: #8a9f16;
}

.swal2-container .swal2-actions button.swal2-confirm:hover {
    background-color: #a7be27;
}

.swal2-container .swal2-actions button.swal2-cancel {
    background-color: #787878;
}

.swal2-container .swal2-actions button.swal2-cancel:hover {
    background-color: #8b8b8b;
}

/* BOTONES */
.btn {
    border: 0;
    border-radius: 10px;
}

.btn.btn-primary {
    background-color: transparent;
    background-image: var(--fondo-degradado);
}

#preloader-site {
    display: none;
}

.preloader-site {
    position: fixed;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    background-color: #ffffffbf;
    z-index: 9999999;
}

.preloader-site .status {
    width: 40px;
    height: 40px;
    position: absolute;
    left: 50%;
    top: 50%;
    margin: -20px 0 0 -20px;
}

.preloader-site .info {
    position: absolute;
    text-align: center;
    left: 38%;
    color: #000000;
    top: 53%;
    margin: -20px 0 0 -20px;
}

.spinner {
    position: absolute;
    width: 78px;
    height: 78px;
    left: 50%;
    margin-left: -39px;
    margin-top: -39px;
}

.spinner:before {
    content: "";
    position: absolute;
    width: 45px;
    height: 45px;
    top: 50%;
    margin-top: -23px;
    left: 50%;
    margin-left: -23px;
    border-width: 2px 1px;
    border-style: solid;
    border-color: #655be6 rgba(101, 91, 230, 0.3);
    border-radius: 50%;
    -o-border-radius: 50%;
    -ms-border-radius: 50%;
    -webkit-border-radius: 50%;
    -moz-border-radius: 50%;
    box-sizing: border-box;
    -o-box-sizing: border-box;
    -ms-box-sizing: border-box;
    -webkit-box-sizing: border-box;
    -moz-box-sizing: border-box;
    animation: spin 3.45s infinite;
    -o-animation: spin 3.45s infinite;
    -ms-animation: spin 3.45s infinite;
    -webkit-animation: spin 3.45s infinite;
    -moz-animation: spin 3.45s infinite;
}

.spinner:after {
    content: "";
    position: absolute;
    width: 12px;
    height: 12px;
    top: 50%;
    margin-top: -6px;
    left: 50%;
    margin-left: -6px;
    background-color: #655be6;
    border-radius: 50%;
    -o-border-radius: 50%;
    -ms-border-radius: 50%;
    -webkit-border-radius: 50%;
    -moz-border-radius: 50%;
    box-sizing: border-box;
    -o-box-sizing: border-box;
    -ms-box-sizing: border-box;
    -webkit-box-sizing: border-box;
    -moz-box-sizing: border-box;
    animation:
        pulse 6.9s infinite,
        borderPulse 6.9s infinite;
    -o-animation:
        pulse 6.9s infinite,
        borderPulse 6.9s infinite;
    -ms-animation:
        pulse 6.9s infinite,
        borderPulse 6.9s infinite;
    -webkit-animation:
        pulse 6.9s infinite,
        borderPulse 6.9s infinite;
    -moz-animation:
        pulse 6.9s infinite,
        borderPulse 6.9s infinite;
}

/* .tbl-sourcing-base */

.tbl-sourcing-base .tr_encabezado td {
    font-size: 0.9rem;
    font-weight: 600;
    padding: 5px 10px;
    text-align: center;
    color: #000000;
}

.tbl-sourcing-base tr {
}

.tbl-sourcing-base .tr_encabezado {
    background-color: #d0ddef;
}

.tbl-sourcing-base {
    font-size: 0.9rem;
    color: #484848;
}

.tbl-sourcing-base .tr_datos td {
    padding: 5px 10px;
}

.tbl-sourcing-base .tr_datos td.special {
    background-color: #2d7ded;
    /* font-weight: 700; */
    color: #ffffff;
}

.tbl-sourcing-base .form-control-sourcing-table {
    padding: 0.3rem;
    text-align: center;
    font-weight: 100;
    font-size: 0.9rem;
    border-radius: 10px;
}

#tblForecastCrecimiento .tr_datos td {
    padding: 5px 20px 5px 10px;
}

#tblForecastCrecimiento .tr_datos td input {
    display: inline;
    margin-right: 0.3rem;
}

#tblForecastCrecimiento .tr_datos td .crecimiento_comentario {
    display: none;
}

#tblForecastCrecimiento .tr_datos td:hover .crecimiento_comentario {
    display: inline-block;
}

.chartForecastInfo {
    background-color: #2678f1;
    color: #ffffff;
    padding: 0.2rem;
    font-size: 0.8rem;
    display: inline-block;
    position: relative;
    top: 0%;
    left: 80%;
}

.chartForecastInfo table tr td {
    padding: 0rem 0.5rem;
}

.btn-clasificaciones {
    background-color: transparent;
    display: inline-flex;
    color: #000;
    border: 0;
    padding: 0;
    outline: none;
    gap: 5px;
    font-size: 14px;
    vertical-align: middle;
    align-items: center;
    justify-content: center;
    transition: color 0.4s ease;
}

.btn-clasificaciones:hover {
    color: #ffc107;
}

.tabla-clasificaciones {
    width: 100%;
}

.tabla-clasificaciones,
.tabla-clasificaciones th,
.tabla-clasificaciones td {
    border: 1px solid #ddd;
}

.tabla-clasificaciones th,
.tabla-clasificaciones td {
    padding: 10px;
}
.modalProductoAyuda .modal-body .description {
    font-size: 14px;
    margin-bottom: 10px;
}
